<?
require_once('include/global.php');
require_once("include/admin_mailing_lib.php");
#require_once('sadmin_conf.inc.php');


// check
	if (!$_GET['m_no'])
		msg('올바른 URL로 접근하여 주십시오');

// set
	$q_where = '';
	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$CFG['TITLE'] = '<b>관리자메뉴</b> >> <b>메일링 리스트 관리</b> >> <b>수정</b>';
		$_GET['d_no'] = $G['DINFO']['d_no'];
		$q_where = " AND m.d_no='" . $_GET['d_no'] . "'";

		if ($G['DINFO']['d_svc_mailing_list'] === 'N') {
			msg("메일링 리스트를 사용할 수 없습니다.\\n\\n서버관리자에게 문의하여 주십시오.");
		}
	} else 
	{
		auth_limit('serveradmin');
		$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>전체 메일링 리스트 관리</b> >> <b>수정</b>';
	}	// if()


// data
	// get
		$sql = "
			SELECT
				m.*, d.d_name
			FROM
				" . $TB['MEMBER'] . " m,
				" . $TB['DOMAIN'] . " d
			WHERE
				m_no='". $_GET['m_no'] . "'
				AND m.d_no=d.d_no
				$q_where
			";
		$row = db_get_row($sql);
		if (!$row)
			msg("존재하지 않는 메일링 주소입니다.");

		// view
		$view = array();
		$view = setform_admin_mailing($row);

// skin view
	$CFG['ACTION'] = 'admin_mailing_mod_ok.php';
	nskinset('sadmin', 'admin_mailing_form.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>